nxt.taggeddata

## Class TaggedDataHome

- java.lang.Object
- - nxt.taggeddata.TaggedDataHome

-     public final class TaggedDataHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `TaggedDataHome.Tag`
    `class` | `TaggedDataHome.TaggedData`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaggedDataHome` | `forChain(ChildChain childChain)`
    `DbIterator<TaggedDataHome.TaggedData>` | `getAll(int from, int to)`
    `DbIterator<TaggedDataHome.Tag>` | `getAllTags(int from, int to)`
    `int` | `getCount()`
    `TaggedDataHome.TaggedData` | `getData(byte[] transactionFullHash)`
    `DbIterator<TaggedDataHome.TaggedData>` | `getData(java.lang.String channel, long accountId, int from, int to)`
    `int` | `getTagCount()`
    `DbIterator<TaggedDataHome.Tag>` | `getTagsLike(java.lang.String prefix, int from, int to)`
    `boolean` | `isPruned(byte[] transactionFullHash)`
    `DbIterator<TaggedDataHome.TaggedData>` | `searchData(java.lang.String query, java.lang.String channel, long accountId, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static TaggedDataHome forChain(ChildChain childChain)

    - #### getTagCount

          public int getTagCount()

    - #### getAllTags

          public DbIterator<TaggedDataHome.Tag> getAllTags(int from,
                                                           int to)

    - #### getTagsLike

          public DbIterator<TaggedDataHome.Tag> getTagsLike(java.lang.String prefix,
                                                            int from,
                                                            int to)

    - #### getCount

          public int getCount()

    - #### getAll

          public DbIterator<TaggedDataHome.TaggedData> getAll(int from,
                                                              int to)

    - #### getData

          public TaggedDataHome.TaggedData getData(byte[] transactionFullHash)

    - #### getData

          public DbIterator<TaggedDataHome.TaggedData> getData(java.lang.String channel,
                                                               long accountId,
                                                               int from,
                                                               int to)

    - #### searchData

          public DbIterator<TaggedDataHome.TaggedData> searchData(java.lang.String query,
                                                                  java.lang.String channel,
                                                                  long accountId,
                                                                  int from,
                                                                  int to)

    - #### isPruned

          public boolean isPruned(byte[] transactionFullHash)